Jump to content


- - - - -

MORE SLIGHT ERRORS TO 1.6


39 replies to this topic

#1 DON (guest)

DON (guest)
  • Guests

Posted 31 July 2013 - 08:58 PM

Hi having managed to upgrade both opencart and open shop, I find that I seem to have lost the font & text size control from the item description section of the product admin. I also seem to have acquired a further problem in that having added several languages to the shop I am now recieving the error message as shown below when I try to edit them

 

Fatal error: Class 'Controllerlocalisationlanguage' not found in /var/www/vhosts/collectablescorner.co.uk/httpdocs/vqmod/vqcache/vq2-system_engine_front.php on line 40
 would appreciate some help as to how to reinstall the font and text and what to do to about the above error message.

yours don

 


  • 0

#2 MaxD

MaxD

    Administrator

  • Administrators
  • 676 posts

Posted 01 August 2013 - 10:15 AM

1. Editor got simpler at OpenCart 1.5.5.1, it doesn't have font size and color controls now. Maybe we will fix that fact in OpenShop soon.

 

2. Try to disable hidden Localize tweak.


  • 0

#3 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 01 August 2013 - 04:24 PM

Take a screen shot of what your seeing, give us a better idea of what your talking about.


  • 1

Follow my Shenanigans on Twitter

@scarecr0w12


#4 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 01 August 2013 - 05:48 PM

I went thru your site with just firefox's built in Inspection tool, it seems this may be a problem caused by your theme not handling the "Left", "Right" and "Tab" Div tag areas correctly. As if this is caused by a Extension i would not know, check your "Tweak" tool and use the inspect button to see if there are any conflicts or errors.



Also, on a side note, If you upgraded to OPENCART(Not Openshop) 1.5.6 you need to make sure your theme is updated aswell, or that may be the problem. The theme might be using old coding that is incompatiblewith the new version.


  • 1

Follow my Shenanigans on Twitter

@scarecr0w12


#5 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 01 August 2013 - 06:09 PM

No worries at all, we where all new to it at one point.


  • 1

Follow my Shenanigans on Twitter

@scarecr0w12


#6 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 01 August 2013 - 09:05 PM

Oh ok, it was due to a rich snippit mod, I have one that might work for you, But im running off a combined 1.5.5.1 and 1.5.6 settings so i'll test on both to make it work.


  • 1

Follow my Shenanigans on Twitter

@scarecr0w12


#7 MaxD

MaxD

    Administrator

  • Administrators
  • 676 posts

Posted 01 August 2013 - 10:58 PM

Jacob Bowen, thank you for good help!


  • 0

#8 MaxD

MaxD

    Administrator

  • Administrators
  • 676 posts

Posted 02 August 2013 - 09:20 AM

Try to disable OpenShop and check if there is difference in speed loading.


  • 0

#9 MaxD

MaxD

    Administrator

  • Administrators
  • 676 posts

Posted 02 August 2013 - 02:34 PM

I think this issues are not related to OpenShop. Looks more like your hoster's lags :-(


  • 0

#10 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 02 August 2013 - 06:02 PM

Question, how many products do you have?


  • 0

Follow my Shenanigans on Twitter

@scarecr0w12


#11 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 02 August 2013 - 06:30 PM

if you have error loging on, please provide your error log


  • 0

Follow my Shenanigans on Twitter

@scarecr0w12


#12 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 02 August 2013 - 06:57 PM

You would find it in the /public_html/system/logs

 

 

Just FTP or if you have a GUI File manager, to in there, download it and then post it here


  • 0

Follow my Shenanigans on Twitter

@scarecr0w12


#13 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 02 August 2013 - 07:21 PM

I don't believe that the error message I found has something to do with Openshop, because I got this after update to OC 1.5.6 when trying to access old orders.

2013-08-02 17:30:48 - PHP Notice:  Error: Could not load controller payment//orderAction! in /customers/4/6/8/mickmek.com/httpd.www/vqmod/vqcache/vq2-system_engine_controller.php on line 68

I perhaps I should mention that I first upgraded OC to 1.5.6, then I found OpenShop and installed that. So it's not on a clean install...

 

Regards

Fredrik


  • 0

#14 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 02 August 2013 - 07:34 PM

Well the main issue is due to the fact that opencart likes to pop out updates with out rigorous testing, Hence why there are updates such as 1.5.5, but then a hot fix comes out a few days later such as 1.5.5.1, Probably should have waited on the 1.5.6.1 update to come out as 1.5.6 is buggy as hell.


But as for your issue that is definitely a OC issue not a OS issue.



On a side note, did you clean your vqcache and your cache folders?



http://devs.mx/topic...ssues-few-tips/


  • 0

Follow my Shenanigans on Twitter

@scarecr0w12


#15 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 02 August 2013 - 07:54 PM

yea so I have been aware of after I made the update. Actually it makes me pissed how someone can let the bug testing out to the users, without any notifications that it's only is a Beta-version...

I did not clean those, does it have any effect to do it now?



Success :) I re-installed the latest vqmod and I now have access to my site!


Edited by figge88, 02 August 2013 - 07:43 PM.

  • 0

#16 Jacob Bowen

Jacob Bowen

    Advanced Member

  • Members
  • PipPipPip
  • 37 posts
  • LocationTempe, Arizona

Posted 02 August 2013 - 07:59 PM

XD oh yeah i forgot that VQmod came out with their 2.4.x version as well. But yes it has been  discussed many times in the community, and promises have been made, but nothing has been done. For as good of a script OC is, the back end developers could use some work, But thats what you get for using a Open source script made by a chinese company. Know the old saying, You get what you pay for


  • 0

Follow my Shenanigans on Twitter

@scarecr0w12


#17 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 02 August 2013 - 08:11 PM

That is true, but I believe that Opensource is the future and I also think OC might be the best Opensource available at the moment.

And look at OpenShop, it's free and I have high hopes for it ;)

As I sometimes say; "You get what you pay for - too little" :)

 

Regards

Fredrik


  • 0

#18 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 02 August 2013 - 08:39 PM

Some more problems. I first had the "tweaks" tab subcategory but now I don't. Can it be because I tried clicking "disable" at OpenShop when I was in "Tweaks" tab?

If so, how to get it back?

 

I got the tweaks menu back. Had to re-upload the "tweaks tab-xml file". But still need answer on question below.

 

And I can't find in my store setting (System-settings-"my store" - edit) how to manage background image, animations and color. Where should I find this?

I've had a look to the demo site for OpenShop and my admin-site doesn't look close to the one in the demo. Do I need to activate it somehow?

 

 

Regards

Fredrik


Edited by figge88, 02 August 2013 - 10:33 PM.

  • 0

#19 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 03 August 2013 - 10:40 AM

Hi frederick not sure if this will help but I had the same sort of problem which I resolved by uploading my last ftp backup before the upgrade and then under advice from Max D

 

1. Delete vqmod/xml/OpenShop folder contents.

2. Upgrade your OpenCart to 1.6 on usual procedure.

3. Install new OpenShop-Extension.zip

4. Navigate yourshop.com/vqmod/install

you may also need to upgrade your Vqmod which was somthing I also did

 

I also under advice from Jacob Bowen deleted my vqcache as well

this seemed to clear my problem and all is now working

see topic http://devs.mx/topic...th-openshop-16/

 

 

yours don

Thanks Don, but it didn't do any difference. I can, for example, access the "Tweaks" menu, but the layout looks like "plain old OC", not with any icons and such. And I can access the OS theme for the store front, but I still can't see the "Design" tab in my "store settings"...


  • 0

#20 figge88

figge88

    Member

  • Members
  • PipPip
  • 12 posts

Posted 03 August 2013 - 12:14 PM

Well, that is exactly what I did this last time. I think I'll try a clean install to see if that helps :/


  • 0



Reply to this topic



  



 

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

Community Skin by Fredson Nunes Junior